#include "TcpSocket.hpp"
#include <iostream>

using namespace std;

char mes[] = "Hello Server!";

int main()
{
  int sock = TcpSocket::connectt("localhost", 8888);

  if (sock < 0)
  {
    printf("Error %d", sock);
    return 0;
  }

  char tempBuffer[AS_DEFAULT_BUFFER_SIZE + 1];
  ssize_t messageLength;

  // You should do an input loop, so the program won't terminate immediately
  string input;
  getline(cin, input);
  while (input != "exit")
  {
    TcpSocket::sendt(sock, input.data(), input.size());
    messageLength = TcpSocket::recvt(sock, tempBuffer, AS_DEFAULT_BUFFER_SIZE);
    if (messageLength <= 0)
    {
      break;
    }
    tempBuffer[messageLength] = 0;
    printf("%s\n", tempBuffer);
    getline(cin, input);
  }

  TcpSocket::closet(sock);

  return 0;
}