#include <vector>

#include "values/Dna.hpp"

#include <raylib.h>

class BackGround
{

public:
  BackGround() = default;
  ~BackGround() = default;
  void init(int canvasSize);
  void deinit();
  void draw(Dna *dna);

private:
  void drawStars();
  void drawSun();
  void drawMounten(size_t mountenSegments, int min, int max, Color color, float scale);
  int getColorSet();
  int getTime();

  Dna *m_dna;

  uint128 mountenSeed;
  uint128 starSeed;

  int canvasSize = 0;
};
